function C38K4MOD (beta,fich_name,bitrate,npol,phaselen)

% C38K4MOD (beta,fich_name,bitrate,npol,phaselen)
% beta = raised cosine roll-off factor
% fich_name = output file name (ASM56002 formatted)
% 	      Example 't38k02.asm'
% bitrate = modem bitrate
% npol = number of polyphases
% phaselen = polyphase lenght
  
% ********************************************************* 
% /\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/ 
% 
% Aholab - TSR  (c) 1998  http://bips.bi.ehu.es
% Electronics and Telecomunications Dept. - ETSII/IT-Bilbao 
% University of the Basque Country 
% 
% Source name.................. c38K4mod.m
% Package name................. G38kRUH 
% Language..................... Matlab 
% Status....................... alpha 
% Hard/OS dependencies......... - 
% Conditional code............. - 
% 
% Coding: <modem@bips.bi.ehu.es> 
%   Ricardo Gandara
%
% 
% Version  yy/mm/dd  Author    Comments 
% -------  --------  --------  -------- 
% 0.1.2    99/01/13  borja     bug in parameter to rxfil. Gain adjust
% 0.1.1    99/01/11  richie    de-interlacing & multispeed
% 0.1.0    98/12/15  richie    initial coding
% 
% ========================= Info ========================== 
% ========================================================= 
% 
% /\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/ 
% ********************************************************* 

% gain=1 produces some coefficients larger that 1. Bad for the DSP,
% so we reduce a little the filter gain.
gain=0.9;
 
h=rxfil(1,1,beta,npol,phaselen,0);
h=h/sum(h); % unit gain in low freqs.
h=h*npol;   % unit gain in *each* polyphase
h=h*gain;   % apply gain

stem (h);

long=npol*phaselen;
resto=long-floor((long/4))*4;


fid=fopen (fich_name,'w');

fprintf (fid,'\noftaps equ %d',phaselen);
fprintf (fid,'\nofnpol equ %d',npol);


fprintf (fid,'\n;');
fprintf (fid,'\n;  Modulation filter: sqrt(raised cosine) with Hanning window');
fprintf (fid,'\n;                     roll-off factor=%1.3f gain=%1.1f) ',beta,gain);
fprintf (fid,'\n;  Access mode : Start of polyphase=number_of_polyphase_filter');
fprintf (fid,'\n;                Filtering tap step = ofnpol ');
fprintf (fid,'\n;');

fprintf (fid,'\nocoeffs dc %1.12f,%1.12f,%1.12f,%1.12f',h(1),h(2),h(3),h(4));
for j=1:(floor(long/4))-2
    fprintf (fid,'\n        dc %1.12f,%1.12f,%1.12f,%1.12f',h(4*j+1),h(4*j+2),h(4*j+3),h(4*j+4));
end
k=floor(long/4)-1;
switch (resto)
      case 0,
         fprintf (fid,'\n        dc %1.12f,%1.12f,%1.12f,%1.12f',h(4*k+1),h(4*k+2),h(4*k+3),h(4*k+4));
      case 3,
         fprintf (fid,'\n        dc %1.12f,%1.12f,%1.12f',h(4*k+1),h(4*k+2),h(4*k+3));
      case 2,
         fprintf (fid,'\n        dc %1.12f,%1.12f',h(4*k+1),h(4*k+2));
      case 1,
         fprintf (fid,'\n        dc %1.12f',h(4*k+1));
      end
   fprintf (fid,'\n');
   fprintf (fid,'\n');

fclose (fid);



